Subject: Re: [net-next PATCH v2] octeontx2-pf: Use PTP HW timestamp counter atomic update feature

From: Jakub Kicinski <[email-masked]>
Date: Fri, 11 Aug 2023 15:04:49 -0700

On Fri, 11 Aug 2023 05:48:38 +0000 Sai Krishna Gajula wrote:
> > If you reorder the includes - maybe put them in alphabetical order?  
> 
> There are some structure definitions in rvu.h which are required in
> ptp.h. So, re-ordering in alphabetical order will give compilation
> issue. 

Headers should be self-contained. Such dependencies are hard to figure
out for people doing refactoring so it'd be best to clean that up.